rem set _dst=%_dst%
set _dst=%PREFIX%

if not exist ("%_dst%") do (
    mkdir "%_dst%"
)

set _src=%RECIPE_DIR%\..\pkgs\oracle\instantclient\11g\win-%ARCH%
for /f "usebackq" %%f in (`dir /b "%_src%\*.zip"`) do (
    7za x %_src%\%%f
)

cd instantclient_11_2

copy adrci.exe %_dst%\ 
copy adrci.sym %_dst%\ 
copy genezi.exe %_dst%\ 
copy genezi.sym %_dst%\ 
copy heteroxa11.dll %_dst%\ 
copy heteroxa11.sym %_dst%\ 
copy oci.dll %_dst%\ 
copy oci.sym %_dst%\ 
copy ocijdbc11.dll %_dst%\ 
copy ocijdbc11.sym %_dst%\ 
copy ociw32.dll %_dst%\ 
copy ociw32.sym %_dst%\ 
copy odbc_install.exe %_dst%\ 
copy odbc_uninstall.exe %_dst%\ 
copy ojdbc5.jar %_dst%\ 
copy ojdbc6.jar %_dst%\ 
copy orai18n.jar %_dst%\ 
copy orai18n-mapping.jar %_dst%\ 
copy orannzsbb11.dll %_dst%\ 
copy orannzsbb11.sym %_dst%\ 
copy oraocci11.dll %_dst%\ 
copy oraocci11.sym %_dst%\ 
copy oraociei11.dll %_dst%\ 
copy oraociei11.sym %_dst%\ 
copy orasql11.dll %_dst%\ 
copy orasql11.sym %_dst%\ 
copy Orasqlplusic11.dll %_dst%\ 
copy sqlplus.exe %_dst%\ 
copy sqlplus.sym %_dst%\ 
copy sqora.chm %_dst%\ 
copy sqora32.dll %_dst%\ 
copy sqoraja.chm %_dst%\ 
copy sqoras32.dll %_dst%\ 
copy sqresja.dll %_dst%\ 
copy sqresus.dll %_dst%\ 
copy uidrvci.exe %_dst%\ 
copy uidrvci.sym %_dst%\ 
copy wrc.exe %_dst%\ 
copy wrc.sym %_dst%\ 
copy xstreams.jar %_dst%\ 
copy glogin.sql %_dst%\

rem copy vc9\oraoci11.dll %_dst%\
rem copy vc9\oraoci11.sym %_dst%\

copy precomp\admin\pcbcfg.cfg %_dst%\
copy precomp\admin\pcscfg.cfg %_dst%\

copy sdk\ott.bat %_dst%\
copy sdk\ottclasses.zip %_dst%\
copy sdk\proc.exe %_dst%\
copy sdk\procob.exe %_dst%\

mkdir "%PREFIX%\libs"

copy sdk\lib\msvc\oci.lib %PREFIX%\libs\ 
copy sdk\lib\msvc\ociw32.lib %PREFIX%\libs\ 
copy sdk\lib\msvc\oraocci11.lib %PREFIX%\libs\ 
copy sdk\lib\msvc\orasql11.lib %PREFIX%\libs\ 

mkdir "%PREFIX%\include"

for /f "usebackq" %%f in (`dir /b sdk\include\*.h`) do (
    copy sdk\include\%%f %PREFIX%\include
)

cd ..
rmdir /q /s instantclient_11_2